using System.Collections.ObjectModel;
using Entidades;
using Modelo;

namespace Controladora
{
    public class ControladoraRemito : Singleton<ControladoraRemito>
    {
        public ReadOnlyCollection<Remito> Listar()
        {
            return RepositorioRemito.Instance.Listar();
        }

        public string Añadir(Remito t)
        {
            if (t == null) return "El Remito es nulo fallo la carga";

            return (RepositorioRemito.Instance.Add(t)) ? 
                $"El remito {t.Id} se cargo correctamente":
                $"Fallo la carga del remito {t.Id}"; 

        }
        public string Modificar(Remito t)
        {
            if (t == null) return "El Remito es nulo fallo la carga";

            return (RepositorioRemito.Instance.Add(t)) ? 
                $"El remito {t.Id} se cargo correctamente":
                $"Fallo la carga del remito {t.Id}"; 

        }
        public string Eliminar(Remito t)
        {
            if (t == null) return "El Remito es nulo fallo la carga";

            return (RepositorioRemito.Instance.Add(t)) ? 
                $"El remito {t.Id} se cargo correctamente":
                $"Fallo la carga del remito {t.Id}"; 

        }
    }    
}
    